
QGIS Application - Bug report #20628

Crash loading a WMS

2018-11-26 12:06 PM - Clegg Bamber

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows Enterprise 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28448

Description

User Feedback

QGIS was trying to load GetMapping WMS link when using the program and when I zoomed into an area - the program crashed and this

error screen displayed

Report Details

Crash ID: 96a42c5b45a2bd0747251c4947485627a6f62eca

Stack Trace

QMutex::lock :

handlesDirectoryPath :

handlesDirectoryPath :

QgsVectorLayerFeatureIterator::close :

QgsVectorLayerFeatureIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsProcessingFeedback::~QgsProcessingFeedback :

QgsProcessingFeedback::~QgsProcessingFeedback :

QgsMapRendererParallelJob::renderLayerStatic :

QgsArchive::zip :

QgsColorScheme::setColors :

QgsMapRendererParallelJob::cancelWithoutBlocking :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-11-26 01:06 PM - Giovanni Manghi
- Priority changed from Normal to High

- Subject changed from Crash loading a WMS feed - working remotely  to Crash loading a WMS

- Status changed from Open to Feedback

Try 3.4.2, also use a new/clean profile as also provide de URL of the service.

#2 - 2018-11-26 01:11 PM - Clegg Bamber

Giovanni Manghi wrote:

Try 3.4.2, also use a new/clean profile as also provide de URL of the service.

I will try the new release. For info, the WMS URL is: http://www.getmapping.com/web.map.service/nw9hg1/dh289p/compuk.wmsx?

Thanks for your help!

#3 - 2018-11-26 01:14 PM - Giovanni Manghi

Clegg Bamber wrote:

Giovanni Manghi wrote:

Try 3.4.2, also use a new/clean profile as also provide de URL of the service.

I will try the new release. For info, the WMS URL is: http://www.getmapping.com/web.map.service/nw9hg1/dh289p/compuk.wmsx?

Thanks for your help!

no crashes here on 3.4.1, follow the other directions.

#4 - 2019-02-24 12:54 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
